# Created by pyp2rpm-3.3.2
%global pypi_name w3lib
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        1.19.0
Release:        %mkrel 3
Summary:        Library of web-related functions
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%description
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entites on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(six) >= 1.4.1

%description -n python3-%{pypi_name}
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entites on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%package -n python-%{pypi_name}-doc
Summary:        w3lib documentation

%description -n python-%{pypi_name}-doc
Documentation for w3lib

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.19.0-3.mga8
+ Revision: 1532557
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.19.0-2.mga8
+ Revision: 1442512
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 kekepower <kekepower> 1.19.0-1.mga7
+ Revision: 1353357
- imported package python-w3lib

